package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 通用资源定义 最大存储 16MB(16,777,215字节)
 * @TableName ge_bytearray
 */
@TableName(value ="ge_bytearray")
@Data
public class GeBytearray implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 文件大小
     */
    private Long fileSize;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 二进制内容数据
     */
    private byte[] content;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}